IPSW-MACHO-DISASS(1)

NAME
ipsw-macho-disass - Disassemble ARM64 MachO at symbol/vaddr

SYNOPSIS
ipsw macho disass [flags]

DESCRIPTION
Disassemble ARM64 MachO at symbol/vaddr

OPTIONS
-z, --all-fileset-entries[=false]
    Parse all fileset entries

--arch=""
    Which architecture to use for fat/universal MachO

--cache=""
    Path to .a2s addr to sym cache file (speeds up analysis)

-c, --count=0
    Number of instructions to disassemble

-D, --dec[=false]
    Decompile assembly

--dec-lang=""
    Language to decompile to (C, ObjC or Swift)

--dec-llm="copilot"
    LLM provider to use for decompilation (ollama, copilot, etc.)

--dec-model=""
    LLM model to use for decompilation

--dec-nocache[=false]
    Do not use decompilation cache

--dec-retries=0
    Number of retries for LLM decompilation

--dec-retry-backoff=30s
    Backoff time between retries (e.g. '30s', '2m')

--dec-temp=0.2
    LLM temperature for decompilation

--dec-theme="nord"
    Decompilation color theme (nord, github, etc)

--dec-top-p=0.1
    LLM top_p for decompilation

-d, --demangle[=false]
    Demangle symbol names

-e, --entry[=false]
    Disassemble entry point

-t, --fileset-entry=""
    Which fileset entry to analyze

--force[=false]
    Continue to disassemble even if there are analysis errors

-h, --help[=false]
    help for disass

-j, --json[=false]
    Output as JSON

-o, --off=0
    File offset to start disassembling

-q, --quiet[=false]
    Do NOT markup analysis (Faster)

-x, --section=""
    Disassemble an entire segment/section (i.e. TEXT_EXEC.text)

-s, --symbol=""
    Function to disassemble

-a, --vaddr=0
    Virtual address to start disassembling

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

SEE ALSO
ipsw-macho(1)

HISTORY
21-Mar-2026 Auto generated by spf13/cobra